Bug 130472 - Server Set Manager integration with Java site
Server Set Manager integration with Java site
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Bowman
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-08-20 15:02 EDT by Ryan Bloom
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 09:28:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Bloom 2004-08-20 15:02:04 EDT
The perl code has the concept of adding a group of servers in the
server set manager and then operating on them from there.  We just
need to be able to add servers to the SSM.  Work with Jesus to figure
out the integration.
Comment 1 Jesus M. Rodriguez 2004-09-09 11:51:39 EDT
Adding email sent to Michael:

We need to add check boxes to the SystemsAdmined page like we have on 
webdev (rhn.webdev.redhat.com).  This includes the Update List button at 
the bottom (the Select ALl and Unselect all would be nice to haves but 
not required).

The {No systems selected} should reflect the number highlighted by the 
check marks.


These items go into the rhnSet table as follows:

USER_ID - the user of the set
LABEL - system_list
ELEMENT - server id
ELEMENT_TWO - null

You can CRUD them using the RhnSetManager class in
com.redhat.rhn.manager.rhnset.
Comment 2 Michael Bowman 2004-12-03 09:04:26 EST
Ok, this bug is almost done ;)

- Buttons work; I used Strut's LookupDispatchAction class to handle
these so we get i18n, but couldn't get it to work right (so the text
on the buttons has the asterisks around them)

- SetTag has been taught to check the set in the request and check the
checkbox if the item is in the set.

TODO:
- Fix text on buttons
- Gray bar form (x Systems Selected <manage> <clear>)
- Pagination text (x - y of z (n Systems Selected))
- Move buttons into same table row as bottom pagination
- Only display uncheckall when something is checked
- Moving checked but not updated systems across pages
- Extract generic code from VisibleList*Action.java 
- Move code to work around hibernate RhnSet bug into RhnSet


Note You need to log in before you can comment on or make changes to this bug.